Infrastructure - Task #8128

Correct invalid formatiDs in production
2017-07-11 19:40 - Dave Vieglais

Status: Closed Start date: 2017-07-11
Priority: High Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: CCI-2.3.5

Milestone: None Story Points:

Product Version: *

Description

Format IDs that contain a "+" were incorrectly represented in the format list as containing a space " " instead of the "+" character.
Need to locate these and update their format ID.

Affected FormatIDs are:

image/svg xml - > image/svg+xml

application/rdf xml -> application/rdf+xml
application/vnd.google-earth.kml xml -> application/vnd.google-earth.kml+xml

Related issues:
Related to Infrastructure - Task #8121: Fix MIME type and formatld for KML files Closed 2017-06-30

History

#1 - 2017-07-11 19:40 - Dave Vieglais
- Related to Task #8121: Fix MIME type and formatld for KML files added

#2 - 2017-07-11 19:47 - Dave Vieglais

Searching for invalid format IDs:

application/rdf xml
https://cn.dataone.org/cn/vi/query/solr/?start=0&rows=10&fl=id%2Ctitle%2Cformatld&g=formatld%3Aapplication%2F rdf%20xml

Zero hits

application/vnd.google-earth.kml xml
https://cn.dataone.org/cn/vi/query/solr/?start=0&rows=108&fl=id%2Ctitle%2Cformatld&q=formatld%3A%22application%2Fvnd.google%5C-earth.
kml%20xmi%22

Five hits:

urn:uuid:6bc8602e-0245-4e56-b4ad-9e 106581356
application/vnd.google-earth.kml xml

urn:uuid:9ca11179-040e-49ca-9b5d-3ff42237df3e
application/vnd.google-earth.kml xml

urn:uuid:33038dfd-632e-4863-b66b-f5817fe2127¢c
application/vnd.google-earth.kml xml

urn:uuid:e46ec8ec-d453-46de-8b2a-0359eab32d27
application/vnd.google-earth.kml xml
https://cn.dataone.org/cn/v1/query/solr/?start=0&rows=10&fl=id%2Ctitle%2CformatId&q=formatId%3Aimage%2Fsvg%20xml
https://cn.dataone.org/cn/v1/query/solr/?start=0&rows=10&fl=id%2Ctitle%2CformatId&q=formatId%3Aapplication%2Frdf%20xml
https://cn.dataone.org/cn/v1/query/solr/?start=0&rows=10&fl=id%2Ctitle%2CformatId&q=formatId%3A%22application%2Fvnd.google%5C-earth.kml%20xml%22
https://cn.dataone.org/cn/v1/query/solr/?start=0&rows=10&fl=id%2Ctitle%2CformatId&q=formatId%3A%22application%2Fvnd.google%5C-earth.kml%20xml%22

urn:uuid:f4196f3f-dfb5-4b45-a446-1a75314a733a
application/vnd.google-earth.kml xml

#3 - 2017-07-18 16:29 - Jing Tao

\set AUTOCOMMIT off

update systemmetadata set object_format="application/vnd.google-earth.kml+xml' where guid='urn:uuid:6bc8602e-0245-4e56-b4ad-9e1b658135f6";
update systemmetadata set object_format='application/vnd.google-earth.kml+xml' where guid='urn:uuid:9ca11179-040e-49ca-9b5d-3ff42237df3e’;
update systemmetadata set object_format="application/vnd.google-earth.kml+xml' where guid='urn:uuid:33038dfd-632e-4863-b66b-f5817fe2127¢’;

update systemmetadata set object_format='application/vnd.google-earth.kml+xml' where guid='urn:uuid:e46ec8ec-d453-46de-8b2a-0359eab32d27";
update systemmetadata set object_format='application/vnd.google-earth.kml+xml' where guid='urn:uuid:f4196f3f-dfb5-4b45-a446-1a75314a733a’;

commit;

#4 - 2017-07-18 16:31 - Jing Tao

After update the systemmetadata table on three cns, we need to evict them from hazelcast. Then read system metadata from a browser. The reading
action will prompt the reindex SOLR.

#5 - 2017-07-18 22:56 - Jing Tao
- Status changed from New to Closed

- % Done changed from 0 to 100

| checked the three db and found we did have the 5 objects which had the wrong format id.

After updated the db on three cns, | evicted them from the hazelcast memory.
Then those objects' systemmetadta were read from a browser.

Now, we can find this link hit zero.
https://cn.dataone.org/cn/vi/query/solr/?start=0&rows=10&fl=id%2Ctitle%2Cformatld&g=formatld%3A%22application%2Fvnd.google%5C-earth.kml
%20xml%22
